Syncfusion AI Assistant

How can I help you?

Events in EJ2 JavaScript TextArea control

25 Mar 20243 minutes to read

This section describes the TextArea events that will be triggered when appropriate actions are performed. The following events are available in the TextArea control.

Created event

The TextArea control triggers the created event when the TextArea Control is created. This event provides users with an opportunity to perform actions immediately after the TextArea has been created and initialized.

// Initialize the TextArea control.
var textareaObj= new ej.inputs.TextArea ({
    created: ()=> {
       //Your required action here
    }
});

// Render initialized TextArea.
textareaObj.appendTo('#default');

Input event

The TextArea control triggers the input each time when the value of TextArea has changed. This event provides users with an opportunity to perform actions in response to real-time changes in the TextArea’s content.
The InputEventArgs passed as an event argument provides the details about the input event in the TextArea.

// Initialize the TextArea control.
var textareaObj = new ej.inputs.TextArea ({
    input: (args)=> {
       //Your required action here
    }
});

// Render initialized TextArea.
textareaObj.appendTo('#default');

Change event

The TextArea control triggers the change event when the content of TextArea has changed and gets focus-out. This event provides users with an opportunity to execute specific actions in response to changes made by the user.
The ChangedEventArgs passed as an event argument provides the details about the changes in the TextArea’s value.

// Initialize the TextArea control.
var textareaObj = new ej.inputs.TextArea ({
    change: (args: ChangedEventArgs)=> {
       //Your required action here
    }
});

// Render initialized TextArea.
textareaObj.appendTo('#default');

Focus event

The TextArea control triggers the focus when the TextArea gains focus. This event allows developers to execute specific actions when the user interacts with the TextArea by focusing on it.
The FocusInEventArgs passed as an argument provides details about the focus event in the TextArea.

// Initialize the TextArea control.
var textareaObj = new ej.inputs.TextArea ({
    focus: (args: FocusInEventArgs)=> {
       //Your required action here
    }
});

// Render initialized TextArea.
textareaObj.appendTo('#default');

Blur event

The TextArea control triggers the blur when the TextArea loses focus. This event allows users to execute specific actions when the user interacts with the TextArea by moving focus away from it.
The FocusOutEventArgs passed as an argument provides details about the blur event in the TextArea.

// Initialize the TextArea control.
var textareaObj = new ej.inputs.TextArea ({
    blur: (args: FocusOutEventArgs)=> {
       //Your required action here
    }
});

// Render initialized TextArea.
textareaObj.appendTo('#default');

Destroyed event

The TextArea control triggers the destroyed when the TextArea Control is destroyed.

// Initialize the TextArea control.
var textareaObj = new ej.inputs.TextArea ({
    destroyed: ()=> {
       //Your required action here
    }
});

// Render initialized TextArea.
textareaObj.appendTo('#default');

Events in Vue TextArea Component

25 May 20245 minutes to read

This section describes the TextArea events that will be triggered when appropriate actions are performed. The following events are available in the TextArea component.

Created event

The TextArea component triggers the created event when the TextArea component is created. This event provides users with an opportunity to perform actions immediately after the TextArea has been created and initialized.

<template>
    <div class='wrap'>
        <ejs-textarea id="rating" :created="created"></ejs-textarea>
    </div>
</template>

<script setup>
import { TextAreaComponent } from '@syncfusion/ej2-vue-inputs';

export default {
   components: {
    'ejs-textarea': TextAreaComponent
   },
   data: function() {
        return { }
    },
    methods : {
        created: function() {
          //Your required action here
        }
    }
}
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

  .wrap {
    box-sizing: border-box;
    margin: 0 auto;
    padding: 20px 10px;
    width: 340px;
  }
</style>

Input event

The TextArea component triggers the input each time when the value of TextArea has changed. This event provides users with an opportunity to perform actions in response to real-time changes in the TextArea’s content.
The InputEventArgs passed as an event argument provides the details about the input event in the TextArea.

<template>
    <div class='wrap'>
        <ejs-textarea id="rating" :input="inputHandler"></ejs-textarea>
    </div>
</template>

<script setup>
import { TextAreaComponent, InputEventArgs } from '@syncfusion/ej2-vue-inputs';

export default {
   components: {
    'ejs-textarea': TextAreaComponent
   },
   data: function() {
        return { }
    },
    methods : {
        inputHandler: function(args: InputEventArgs) {
          //Your required action here
        }
    }
}
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

  .wrap {
    box-sizing: border-box;
    margin: 0 auto;
    padding: 20px 10px;
    width: 340px;
  }
</style>

Change event

The TextArea component triggers the change event when the content of TextArea has changed and gets focus-out. This event provides users with an opportunity to execute specific actions in response to changes made by the user.
The ChangedEventArgs passed as an event argument provides the details about the changes in the TextArea’s value.

<template>
    <div class='wrap'>
        <ejs-textarea id="rating" :change="changeHandler"></ejs-textarea>
    </div>
</template>

<script setup>
import { TextAreaComponent, ChangedEventArgs } from '@syncfusion/ej2-vue-inputs';

export default {
   components: {
    'ejs-textarea': TextAreaComponent
   },
   data: function() {
        return { }
    },
    methods : {
        changeHandler: function(args: ChangedEventArgs) {
          //Your required action here
        }
    }
}
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

  .wrap {
    box-sizing: border-box;
    margin: 0 auto;
    padding: 20px 10px;
    width: 340px;
  }
</style>

Focus event

The TextArea component triggers the focus when the TextArea gains focus. This event allows developers to execute specific actions when the user interacts with the TextArea by focusing on it.
The FocusInEventArgs passed as an argument provides details about the focus event in the TextArea.

<template>
    <div class='wrap'>
        <ejs-textarea id="rating" :focus="focusHandler"></ejs-textarea>
    </div>
</template>

<script setup>
import { TextAreaComponent, FocusInEventArgs } from '@syncfusion/ej2-vue-inputs';

export default {
   components: {
    'ejs-textarea': TextAreaComponent
   },
   data: function() {
        return { }
    },
    methods : {
        focusHandler: function(args: FocusInEventArgs) {
          //Your required action here
        }
    }
}
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

  .wrap {
    box-sizing: border-box;
    margin: 0 auto;
    padding: 20px 10px;
    width: 340px;
  }
</style>

Blur event

The TextArea component triggers the blur when the TextArea loses focus. This event allows users to execute specific actions when the user interacts with the TextArea by moving focus away from it.
The FocusOutEventArgs passed as an argument provides details about the blur event in the TextArea.

<template>
    <div class='wrap'>
        <ejs-textarea id="rating" :blur="blurHandler"></ejs-textarea>
    </div>
</template>

<script setup>
import { TextAreaComponent, FocusOutEventArgs } from '@syncfusion/ej2-vue-inputs';

export default {
   components: {
    'ejs-textarea': TextAreaComponent
   },
   data: function() {
        return { }
    },
    methods : {
        blurHandler: function(args: FocusOutEventArgs) {
          //Your required action here
        }
    }
}
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

  .wrap {
    box-sizing: border-box;
    margin: 0 auto;
    padding: 20px 10px;
    width: 340px;
  }
</style>

Destroyed event

The TextArea component triggers the destroyed when the TextArea component is destroyed.

<template>
    <div class='wrap'>
        <ejs-textarea id="rating" :destroyed="destroyed"></ejs-textarea>
    </div>
</template>

<script setup>
import { TextAreaComponent } from '@syncfusion/ej2-vue-inputs';

export default {
   components: {
    'ejs-textarea': TextAreaComponent
   },
   data: function() {
        return { }
    },
    methods : {
        destroyed: function() {
          //Your required action here
        }
    }
}
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

  .wrap {
    box-sizing: border-box;
    margin: 0 auto;
    padding: 20px 10px;
    width: 340px;
  }
</style>

Syncfusion AI Assistant

How can I help you?

Events in Angular TextArea Component

26 Feb 20265 minutes to read

This section describes the TextArea events that will be triggered when appropriate actions are performed. The following events are available in the TextArea component.

Created Event

The TextArea component triggers the created event when the component is created and initialized. Use this event to perform actions immediately after the TextArea becomes available.

import { Component } from '@angular/core';
 
@Component({
  selector: 'app-root',
  template: `<!-- To Render TextArea component. -->
                <div class="wrap">
                    <ejs-textarea id="default" (created)="created()></ejs-textarea>
                </div>`
})

export class AppComponent {
  public created(){
    //Your required action here
  };
}

Input Event

The TextArea component triggers the input event each time the textarea value changes. Use this event to respond to real-time content modifications.
The InputEventArgs parameter provides details about the input event.

import { Component } from '@angular/core';
import { InputEventArgs } from '@syncfusion/ej2-angular-inputs';
 
@Component({
  selector: 'app-root',
  template: `<!-- To Render TextArea component. -->
                <div class="wrap">
                  <ejs-textarea id="default" (input)="inputHandler($event)"/>
                </div>`
})

export class AppComponent {
  public inputHandler(args: InputEventArgs){
    //Your required action here
  };
}

Change Event

The TextArea component triggers the change event when the textarea content changes and loses focus. Use this event to execute actions in response to user-made changes.
The ChangedEventArgs parameter provides details about the changes to the textarea value.

import { Component } from '@angular/core';
import { ChangedEventArgs } from '@syncfusion/ej2-angular-inputs';
 
@Component({
  selector: 'app-root',
  template: `<!-- To Render TextArea component. -->
                <div class="wrap">
                  <ejs-textarea id="default" (change)="changeHandler($event)"/>
                </div>`
})

export class AppComponent {
  public changeHandler(args: ChangedEventArgs){
    //Your required action here
  };
}

Focus Event

The TextArea component triggers the focus event when the textarea gains focus. Use this event to execute actions when the user interacts with the TextArea.
The FocusInEventArgs parameter provides details about the focus event.

import { Component } from '@angular/core';
import { FocusInEventArgs } from '@syncfusion/ej2-angular-inputs';
 
@Component({
  selector: 'app-root',
  template: `<!-- To Render TextArea component. -->
                <div class="wrap">
                  <ejs-textarea id="default" (focus)="focusHandler($event)"/>
                </div>`
})

export class AppComponent {
  public focusHandler(args: FocusInEventArgs){
    //Your required action here
  };
}

Blur Event

The TextArea component triggers the blur event when the textarea loses focus. Use this event to execute actions when the user moves focus away from the TextArea.
The FocusOutEventArgs parameter provides details about the blur event.

import { Component } from '@angular/core';
import { FocusOutEventArgs } from '@syncfusion/ej2-angular-inputs';
 
@Component({
  selector: 'app-root',
  template: `<!-- To Render TextArea component. -->
                <div class="wrap">
                  <ejs-textarea id="default" (blur)="blurHandler($event)"/>
                </div>`
})

export class AppComponent {
  public blurHandler(args: FocusOutEventArgs){
    //Your required action here
  };
}

Destroyed Event

The TextArea component triggers the destroyed event when the component is destroyed.

import { Component } from '@angular/core';
 
@Component({
  selector: 'app-root',
  template: `<!-- To Render TextArea component. -->
                <div class="wrap">
                    <ejs-textarea id="default" (destroyed)="destroyed()></ejs-textarea>
                </div>`
})

export class AppComponent {
  public destroyed(){
    //Your required action here
  };
}

Syncfusion AI Assistant

How can I help you?

Events in React TextArea Component

21 Feb 20266 minutes to read

This section describes the TextArea events that will be triggered when appropriate actions are performed. The following events are available in the TextArea component.

Created event

The TextArea component triggers the created event when the component is created and initialized, allowing you to perform actions immediately.

{/* Import the TextArea. */}
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

{/* To render TextArea.*/}
function App() {
    function created(){
        //Your required action here
    }
  
    return (
        <div className='wrap'>
            <TextAreaComponent id="default" created={ created }></TextAreaComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('input-container'));

Input event

The TextArea component triggers the input event each time the value changes, allowing you to respond to real-time content modifications.
The InputEventArgs passed as an event argument provides details about the input event.

{/* Import the TextArea. */}
import { TextAreaComponent, InputEventArgs } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

{/* To render TextArea.*/}
function App() {
    function inputHandler(args: InputEventArgs){
        //Your required action here
    }
  
    return (
        <div className='wrap'>
            <TextAreaComponent id="default" input={ inputHandler }></TextAreaComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('input-container'));

Change event

The TextArea component triggers the change event when the content changes and focus is lost, allowing you to execute actions in response to user changes.
The ChangedEventArgs passed as an event argument provides details about the value changes.

{/* Import the TextArea. */}
import { TextAreaComponent, ChangedEventArgs } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

{/* To render TextArea.*/}
function App() {
    function changeHandler(args: ChangedEventArgs){
        //Your required action here
    }
  
    return (
        <div className='wrap'>
            <TextAreaComponent id="default" change={ changeHandler }></TextAreaComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('input-container'));

Focus event

The TextArea component triggers the focus event when the component gains focus, allowing you to execute actions in response to user interaction.
The FocusInEventArgs passed as an argument provides details about the focus event.

{/* Import the TextArea. */}
import { TextAreaComponent, FocusInEventArgs } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

{/* To render TextArea.*/}
function App() {
    function focusHandler(args: FocusInEventArgs){
        //Your required action here
    }
  
    return (
        <div className='wrap'>
            <TextAreaComponent id="default" focus={ focusHandler }></TextAreaComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('input-container'));

Blur event

The TextArea component triggers the blur event when focus is lost, allowing you to execute actions when users move focus away.
The FocusOutEventArgs passed as an argument provides details about the blur event.

{/* Import the TextArea. */}
import { TextAreaComponent, FocusOutEventArgs } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

{/* To render TextArea.*/}
function App() {
    function blurHandler(args: FocusOutEventArgs){
        //Your required action here
    }
  
    return (
        <div className='wrap'>
            <TextAreaComponent id="default" blur={ blurHandler }></TextAreaComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('input-container'));

Destroyed event

The TextArea component triggers the destroyed when the TextArea component is destroyed.

{/* Import the TextArea. */}
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

{/* To render TextArea.*/}
function App() {
    function destroyed(){
        //Your required action here
    }
  
    return (
        <div className='wrap'>
            <TextAreaComponent id="default" destroyed={ destroyed }></TextAreaComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('input-container'));